package HelloClient;

import java.io.*;
import java.rmi.*;
import HelloInterface.*;

public class HelloClient {

	protected static HelloInterface h;
	public static void main(String args[]) 
	{
		try 
		{
			int RMIPort=1099;         
			String hostName="localhost";

			String registryURL = 
			"rmi://" + hostName+ ":" + RMIPort + "/HelloServer";  
			// find the remote object and cast it to an interface object
			h = (HelloInterface)Naming.lookup(registryURL);
			System.out.println("Lookup completed " );
			// invoke the remote method

			sayHello("John");
			sayHello("Anna");
			sayHello("nobody");
			sayHelloAll();


		} // end try 
		catch (Exception e) 
		{
			System.out.println("Exception in HelloClient: " + e);
		} 
	} //end main

	public static void sayHello(String name)
	{
		try
		{
			Struct result;
			//String result;
			result=h.sayHello(name);
			if (result!=null)
			{
				result.display();
			}
			else
			{
				System.out.println("not found");
			}			
		}
		catch (Exception er)
		{
			//System.out.println(er);
			er.printStackTrace();
		}
	}

	public static void sayHelloAll()
	{
		Struct res[];
		try
		{
			res=h.sayHelloAll();
			for (int i=0; i<res.length; i++)
			{
				res[i].display();
			}
		}
		catch (Exception er)
		{
		}
	}
}//end class
